package com.toughra.ustadmobile.databinding;
import com.toughra.ustadmobile.R;
import com.toughra.ustadmobile.BR;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import android.view.View;
@SuppressWarnings("unchecked")
public class ItemHolidayCalendarBindingImpl extends ItemHolidayCalendarBinding implements com.toughra.ustadmobile.generated.callback.OnSelectionStateChangedListener.Listener, com.toughra.ustadmobile.generated.callback.OnClickListener.Listener {

    @Nullable
    private static final androidx.databinding.ViewDataBinding.IncludedLayouts sIncludes;
    @Nullable
    private static final android.util.SparseIntArray sViewsWithIds;
    static {
        sIncludes = null;
        sViewsWithIds = new android.util.SparseIntArray();
        sViewsWithIds.put(R.id.item_holidaycalendar_newitemicon, 3);
    }
    // views
    @NonNull
    private final androidx.constraintlayout.widget.ConstraintLayout mboundView0;
    // variables
    @Nullable
    private final com.ustadmobile.port.android.view.binding.OnSelectionStateChangedListener mCallback25;
    @Nullable
    private final android.view.View.OnClickListener mCallback26;
    // values
    // listeners
    // Inverse Binding Event Handlers

    public ItemHolidayCalendarBindingImpl(@Nullable androidx.databinding.DataBindingComponent bindingComponent, @NonNull View root) {
        this(bindingComponent, root, mapBindings(bindingComponent, root, 4, sIncludes, sViewsWithIds));
    }
    private ItemHolidayCalendarBindingImpl(androidx.databinding.DataBindingComponent bindingComponent, View root, Object[] bindings) {
        super(bindingComponent, root, 0
            , (android.widget.TextView) bindings[1]
            , (android.widget.TextView) bindings[2]
            , (androidx.appcompat.widget.AppCompatImageView) bindings[3]
            );
        this.itemHolidaycalendarLine1Text.setTag(null);
        this.itemHolidaycalendarLine2Text.setTag(null);
        this.mboundView0 = (androidx.constraintlayout.widget.ConstraintLayout) bindings[0];
        this.mboundView0.setTag(null);
        setRootTag(root);
        // listeners
        mCallback25 = new com.toughra.ustadmobile.generated.callback.OnSelectionStateChangedListener(this, 1);
        mCallback26 = new com.toughra.ustadmobile.generated.callback.OnClickListener(this, 2);
        invalidateAll();
    }

    @Override
    public void invalidateAll() {
        synchronized(this) {
                mDirtyFlags = 0x8L;
        }
        requestRebind();
    }

    @Override
    public boolean hasPendingBindings() {
        synchronized(this) {
            if (mDirtyFlags != 0) {
                return true;
            }
        }
        return false;
    }

    @Override
    public boolean setVariable(int variableId, @Nullable Object variable)  {
        boolean variableSet = true;
        if (BR.holidayCalendar == variableId) {
            setHolidayCalendar((com.ustadmobile.lib.db.entities.HolidayCalendarWithNumEntries) variable);
        }
        else if (BR.presenter == variableId) {
            setPresenter((com.ustadmobile.core.controller.HolidayCalendarListPresenter) variable);
        }
        else if (BR.pagedListAdapter == variableId) {
            setPagedListAdapter((com.ustadmobile.port.android.view.HolidayCalendarListFragment.HolidayCalendarListRecyclerAdapter) variable);
        }
        else {
            variableSet = false;
        }
            return variableSet;
    }

    public void setHolidayCalendar(@Nullable com.ustadmobile.lib.db.entities.HolidayCalendarWithNumEntries HolidayCalendar) {
        this.mHolidayCalendar = HolidayCalendar;
        synchronized(this) {
            mDirtyFlags |= 0x1L;
        }
        notifyPropertyChanged(BR.holidayCalendar);
        super.requestRebind();
    }
    public void setPresenter(@Nullable com.ustadmobile.core.controller.HolidayCalendarListPresenter Presenter) {
        this.mPresenter = Presenter;
        synchronized(this) {
            mDirtyFlags |= 0x2L;
        }
        notifyPropertyChanged(BR.presenter);
        super.requestRebind();
    }
    public void setPagedListAdapter(@Nullable com.ustadmobile.port.android.view.HolidayCalendarListFragment.HolidayCalendarListRecyclerAdapter PagedListAdapter) {
        this.mPagedListAdapter = PagedListAdapter;
        synchronized(this) {
            mDirtyFlags |= 0x4L;
        }
        notifyPropertyChanged(BR.pagedListAdapter);
        super.requestRebind();
    }

    @Override
    protected boolean onFieldChange(int localFieldId, Object object, int fieldId) {
        switch (localFieldId) {
        }
        return false;
    }

    @Override
    protected void executeBindings() {
        long dirtyFlags = 0;
        synchronized(this) {
            dirtyFlags = mDirtyFlags;
            mDirtyFlags = 0;
        }
        long holidayCalendarUmCalendarUid = 0;
        com.ustadmobile.lib.db.entities.HolidayCalendarWithNumEntries holidayCalendar = mHolidayCalendar;
        java.lang.String holidayCalendarUmCalendarName = null;
        com.ustadmobile.core.controller.HolidayCalendarListPresenter presenter = mPresenter;
        com.ustadmobile.port.android.view.HolidayCalendarListFragment.HolidayCalendarListRecyclerAdapter pagedListAdapter = mPagedListAdapter;
        int holidayCalendarNumEntries = 0;
        java.lang.String itemHolidaycalendarLine2TextAndroidStringNumItemsWithNameHolidayCalendarNumEntriesItemHolidaycalendarLine2TextAndroidStringHolidays = null;

        if ((dirtyFlags & 0x9L) != 0) {



                if (holidayCalendar != null) {
                    // read holidayCalendar.umCalendarUid
                    holidayCalendarUmCalendarUid = holidayCalendar.getUmCalendarUid();
                    // read holidayCalendar.umCalendarName
                    holidayCalendarUmCalendarName = holidayCalendar.getUmCalendarName();
                    // read holidayCalendar.numEntries
                    holidayCalendarNumEntries = holidayCalendar.getNumEntries();
                }


                // read @android:string/num_items_with_name
                itemHolidaycalendarLine2TextAndroidStringNumItemsWithNameHolidayCalendarNumEntriesItemHolidaycalendarLine2TextAndroidStringHolidays = itemHolidaycalendarLine2Text.getResources().getString(R.string.num_items_with_name, holidayCalendarNumEntries, itemHolidaycalendarLine2Text.getResources().getString(R.string.holidays));
        }
        if ((dirtyFlags & 0xcL) != 0) {
        }
        // batch finished
        if ((dirtyFlags & 0x9L) != 0) {
            // api target 1

            this.itemHolidaycalendarLine1Text.setTag(holidayCalendarUmCalendarUid);
            androidx.databinding.adapters.TextViewBindingAdapter.setText(this.itemHolidaycalendarLine1Text, holidayCalendarUmCalendarName);
            androidx.databinding.adapters.TextViewBindingAdapter.setText(this.itemHolidaycalendarLine2Text, itemHolidaycalendarLine2TextAndroidStringNumItemsWithNameHolidayCalendarNumEntriesItemHolidaycalendarLine2TextAndroidStringHolidays);
            this.mboundView0.setTag(holidayCalendarUmCalendarUid);
        }
        if ((dirtyFlags & 0xcL) != 0) {
            // api target 1

            com.ustadmobile.port.android.view.binding.ViewBindingsKt.setSelectableViewHelper(this.mboundView0, pagedListAdapter, mCallback26, mCallback25);
        }
    }
    // Listener Stub Implementations
    // callback impls
    public final void _internalCallbackOnSelectionStateChanged(int sourceId , android.view.View callbackArg_0) {
        // localize variables for thread safety
        // pagedListAdapter != null
        boolean pagedListAdapterJavaLangObjectNull = false;
        // pagedListAdapter
        com.ustadmobile.port.android.view.HolidayCalendarListFragment.HolidayCalendarListRecyclerAdapter pagedListAdapter = mPagedListAdapter;
        // holidayCalendar
        com.ustadmobile.lib.db.entities.HolidayCalendarWithNumEntries holidayCalendar = mHolidayCalendar;



        pagedListAdapterJavaLangObjectNull = (pagedListAdapter) != (null);
        if (pagedListAdapterJavaLangObjectNull) {




            pagedListAdapter.onItemSelectedChanged(callbackArg_0, holidayCalendar);
        }
    }
    public final void _internalCallbackOnClick(int sourceId , android.view.View callbackArg_0) {
        // localize variables for thread safety
        // presenter != null
        boolean presenterJavaLangObjectNull = false;
        // presenter
        com.ustadmobile.core.controller.HolidayCalendarListPresenter presenter = mPresenter;
        // holidayCalendar
        com.ustadmobile.lib.db.entities.HolidayCalendarWithNumEntries holidayCalendar = mHolidayCalendar;



        presenterJavaLangObjectNull = (presenter) != (null);
        if (presenterJavaLangObjectNull) {



            presenter.handleClickEntry(holidayCalendar);
        }
    }
    // dirty flag
    private  long mDirtyFlags = 0xffffffffffffffffL;
    /* flag mapping
        flag 0 (0x1L): holidayCalendar
        flag 1 (0x2L): presenter
        flag 2 (0x3L): pagedListAdapter
        flag 3 (0x4L): null
    flag mapping end*/
    //end
}